#include <assert.h>
#include "bitmap.h"

// Define  window
SimpleWindow W0("Snake", 16.0, 16.0, Position(1.0, 1.0));
SimpleWindow W1("Main Menu", 16.0, 16.0, Position(1.0, 1.0));
SimpleWindow W2("Play", 15.0, 15.0, Position(1.0, 1.0));
SimpleWindow W3("Options", 15.0, 15.0, Position(1.0, 1.0));
SimpleWindow W4("Instructions", 15.0, 15.0, Position(1.0, 1.0));
SimpleWindow W5("High Scores", 15.0, 15.0, Position(1.0, 1.0));
SimpleWindow W6("About", 15.0, 15.0, Position(1.0, 1.0));

// Define a bitmap object
BitMap aaa(W0);
BitMap MainMenu(W1);
BitMap Play(W1);
BitMap Options(W1);
BitMap Instructions(W1);
BitMap HighScores(W1);
BitMap About(W1);
BitMap Exit(W1);
BitMap as(W1);

// W1MouseClick i(): call back function for Window one
int W1MouseClick1(const Position &p) {
	if (Play.IsInside(p)) {
        // Close one window and open the other
        W1.Close();
        W2.Open();
        }

else if (Options.IsInside(p)) {
        // Close one window and open the other
        W1.Close();
        W3.Open();
       }

else if (Instructions.IsInside(p)) {
        // Close one window and open the other
        W1.Close();
        W4.Open();
        }


else if (HighScores.IsInside(p)) {
        // Close one window and open the other
        W1.Close();
        W5.Open();
        }

else if (About.IsInside(p)) {
        // Close one window and open the other
        W1.Close();
        W6.Open();
        }

else if (Exit.IsInside(p)) {
        // Close one window and open the other
        W1.Close();
        }
}

int W0MouseClick1(const Position &p1) {
	if (aaa.IsInside(p1)) {
        // Close one window and open the other
        W0.Close();
        W1.Open();
        assert(W1.GetStatus() == WindowOpen);

	as.Load("aa.xpm");
	assert(as.GetStatus() == BitMapOkay);

	// Display the bit maps at a starting position
	as.SetPosition(Position(0.1, 0.1));
	as.Draw();
	
        Play.Load("Play.xpm");
	assert(Play.GetStatus() == BitMapOkay);

	// Display the bit maps at a starting position
	Play.SetPosition(Position(2.5, 2.5));
	Play.Draw();

	
	
        Options.Load("Options.xpm");
	assert(Options.GetStatus() == BitMapOkay);

	// Display the bit maps at a starting position
	Options.SetPosition(Position(2.5, 4.5));
	Options.Draw();

	// Register the call backs for each window
	

        Instructions.Load("Instructions.xpm");
	assert(Instructions.GetStatus() == BitMapOkay);

	// Display the bit maps at a starting position
	Instructions.SetPosition(Position(2.5, 6.5));
	Instructions.Draw();

	// Register the call backs for each window
	

        HighScores.Load("HighScores.xpm");
	assert(HighScores.GetStatus() == BitMapOkay);

	// Display the bit maps at a starting position
	HighScores.SetPosition(Position(2.5, 8.5));
	HighScores.Draw();

	// Register the call backs for each window
	

        About.Load("About.xpm");
	assert(About.GetStatus() == BitMapOkay);

	// Display the bit maps at a starting position
	About.SetPosition(Position(2.5, 10.5));
	About.Draw();

	
	Exit.Load("Exit.xpm");
	assert(Exit.GetStatus() == BitMapOkay);

	// Display the bit maps at a starting position
	Exit.SetPosition(Position(2.5, 12.5));
	Exit.Draw();

        // Register the call backs for each window
	W1.SetMouseClickCallback(W1MouseClick1);

	}
}

int ApiMain() {

	W0.Open();
        assert(W0.GetStatus() == WindowOpen);
       
        aaa.Load("aaa.xpm");
        assert(aaa.GetStatus() == BitMapOkay);
        aaa.SetPosition(Position(0.1,0.1));
        aaa.Draw();
        
        W0.SetMouseClickCallback(W0MouseClick1);
	
        
        return 0;
}

