#include <assert.h>
#include "bitmap.h"

// Define  windows required
SimpleWindow W0("Snake", 16.0, 16.0, Position(1.0, 1.0));
SimpleWindow W1("Main Menu", 16.0, 16.0, Position(1.0, 1.0));
SimpleWindow W2("Play", 15.0, 15.0, Position(1.0, 1.0));
SimpleWindow W3("Options", 15.0, 15.0, Position(1.0, 1.0));
SimpleWindow W4("Instructions", 15.0, 15.0, Position(1.0, 1.0));
SimpleWindow W5("High Scores", 15.0, 15.0, Position(1.0, 1.0));
SimpleWindow W6("About", 15.0, 15.0, Position(1.0, 1.0));

// Define bitmap objects
BitMap aaa(W0);
BitMap MainMenu(W1);
BitMap Play(W1);
BitMap Options(W1);
BitMap Instructions(W1);
BitMap HighScores(W1);
BitMap About(W1);
BitMap Exit(W1);
BitMap as(W1);
BitMap Background(W4);
BitMap Objectives(W4);
BitMap Controls(W4);
BitMap Scoring(W4);
BitMap HUD(W4);
BitMap GameModes(W4);
BitMap Awards(W4);
BitMap Back(W4);


//Function to read the mouse click from the INSTRUCTIONS window:-
int W4MouseClick1(const Position &p4) {
	if (Back.IsInside(p4)) {
        // Close window W1 and open W2
        W4.Close();
        W1.Open();
        assert(W1.GetStatus() == WindowOpen);
        
        //Preparing the window W1

	as.Load("aa.xpm");
	assert(as.GetStatus() == BitMapOkay);
	as.SetPosition(Position(0.1, 0.1));// Display the background bitmap image at the starting position
	as.Draw();
	
        Play.Load("Play.xpm");
	assert(Play.GetStatus() == BitMapOkay);
	Play.SetPosition(Position(2.5, 2.5));
	Play.Draw();
	
        Options.Load("Options.xpm");
	assert(Options.GetStatus() == BitMapOkay);
	Options.SetPosition(Position(2.5, 4.5));
	Options.Draw();
	
        Instructions.Load("Instructions.xpm");
	assert(Instructions.GetStatus() == BitMapOkay);
	Instructions.SetPosition(Position(2.5, 6.5));
	Instructions.Draw();	

        HighScores.Load("HighScores.xpm");
	assert(HighScores.GetStatus() == BitMapOkay);
	HighScores.SetPosition(Position(2.5, 8.5));
	HighScores.Draw();

        About.Load("About.xpm");
	assert(About.GetStatus() == BitMapOkay);
	About.SetPosition(Position(2.5, 10.5));
	About.Draw();

	
	Exit.Load("Exit.xpm");
	assert(Exit.GetStatus() == BitMapOkay);
	Exit.SetPosition(Position(2.5, 12.5));
	Exit.Draw();

       }
       }

//Function to read the mouse click from the MAIN MENU window:-
int W1MouseClick1(const Position &p) {
	if (Play.IsInside(p)) {
        // Close  window W1 and open W2
        W1.Close();
        W2.Open();
        }

else if (Options.IsInside(p)) {
        // Close  window W1 and open W3
        W1.Close();
        W3.Open();
       }

else if (Instructions.IsInside(p)) {
        // Close  window W1 and open W4
        W1.Close();
        W4.Open();
        
        assert(W4.GetStatus() == WindowOpen); 
 
        //Prepring the contents of INSTRUCTIONS window:-

        Background.Load("Background.xpm");
        assert(Background.GetStatus() == BitMapOkay);
        Background.SetPosition(Position(0, 0));          // Display the background bitmap image at the starting position    
        Background.Draw();
        
        Objectives.Load("Objectives.xpm");
        assert(Objectives.GetStatus() == BitMapOkay);
        Objectives.SetPosition(Position(6.5, 1.5));              
        Objectives.Draw();
        
        Controls.Load("Controls.xpm");
        assert(Controls.GetStatus() == BitMapOkay);
        Controls.SetPosition(Position(6.5, 3.5));              
        Controls.Draw();
        
        Scoring.Load("Scoring.xpm");
        assert(Scoring.GetStatus() == BitMapOkay);
        Scoring.SetPosition(Position(6.5, 5.5));              
        Scoring.Draw();
        
        HUD.Load("HUD.xpm");
        assert(HUD.GetStatus() == BitMapOkay);
        HUD.SetPosition(Position(6.5, 7.5));              
        HUD.Draw();
        
        GameModes.Load("GameModes.xpm");
        assert(GameModes.GetStatus() == BitMapOkay);
        GameModes.SetPosition(Position(6.5, 9.5));              
        GameModes.Draw();
        
        Awards.Load("Awards.xpm");
        assert(Awards.GetStatus() == BitMapOkay);
        Awards.SetPosition(Position(6.5, 11.5));              
        Awards.Draw();
        
        Back.Load("Back.xpm");
        assert(Back.GetStatus() == BitMapOkay);
        Back.SetPosition(Position(6.5, 13.5));              
        Back.Draw();

     W4.SetMouseClickCallback(W4MouseClick1);  //Reading the mouse click from the INSTRUCTIONS window

        }


else if (HighScores.IsInside(p)) {
        // Close  window W1 and open W5
        W1.Close();
        W5.Open();
        }

else if (About.IsInside(p)) {
        // Close  window W1 and open W6
        W1.Close();
        W6.Open();
        }

else if (Exit.IsInside(p)) {
        // Close  window W1 
        W1.Close();
        }
}

 

        
int W0MouseClick1(const Position &p1) {
	if (aaa.IsInside(p1)) {
        // Close  window W0 and open W1
        W0.Close();
        W1.Open();
        assert(W1.GetStatus() == WindowOpen);

	as.Load("aa.xpm");
	assert(as.GetStatus() == BitMapOkay);
	as.SetPosition(Position(0.1, 0.1));
	as.Draw();
	
        Play.Load("Play.xpm");
	assert(Play.GetStatus() == BitMapOkay);
	Play.SetPosition(Position(2.5, 2.5));
	Play.Draw();
	
        Options.Load("Options.xpm");
	assert(Options.GetStatus() == BitMapOkay);
	Options.SetPosition(Position(2.5, 4.5));
	Options.Draw();

        Instructions.Load("Instructions.xpm");
	assert(Instructions.GetStatus() == BitMapOkay);
	Instructions.SetPosition(Position(2.5, 6.5));
	Instructions.Draw();

        HighScores.Load("HighScores.xpm");
	assert(HighScores.GetStatus() == BitMapOkay);
	HighScores.SetPosition(Position(2.5, 8.5));
	HighScores.Draw();

        About.Load("About.xpm");
	assert(About.GetStatus() == BitMapOkay);	
	About.SetPosition(Position(2.5, 10.5));
	About.Draw();
	
	Exit.Load("Exit.xpm");
	assert(Exit.GetStatus() == BitMapOkay);
	Exit.SetPosition(Position(2.5, 12.5));
	Exit.Draw();

        // Register the call backs for each window
	W1.SetMouseClickCallback(W1MouseClick1);

	}
      }

int ApiMain() {

	W0.Open();
        assert(W0.GetStatus() == WindowOpen);
       
        aaa.Load("aaa.xpm");
        assert(aaa.GetStatus() == BitMapOkay);
        aaa.SetPosition(Position(0.1,0.1));
        aaa.Draw();
        
        W0.SetMouseClickCallback(W0MouseClick1);
	
        
        return 0;
}

